%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%global betaver b2

Name:           python-tg-devtools
Version:        2.1
Release:        0.1.%{betaver}%{?dist}
Summary:        Development tools and templates for TurboGears2

Group:          Development/Languages
License:        MIT
URL:            http://www.turbogears.org
Source0:        http://www.turbogears.org/2.1/downloads/current/tg.devtools-%{version}%{betaver}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-setuptools-devel python-nose python-coverage
BuildRequires:  python-repoze-tm2 python-turbokid python-turbojson
BuildRequires:  python-repoze-what-quickstart python-catwalk
BuildRequires:  python-zope-sqlalchemy

BuildRequires:  python-paste-script python-tempita python-webtest
BuildRequires:  python-repoze-who python-repoze-who-testutil
BuildRequires:  python-babel
BuildRequires:  TurboGears2

Requires:       TurboGears2
Requires:       python-repoze-what-quickstart >= 1.0
Requires:       python-repoze-who >= 1.0.10
Requires:       python-repoze-who-testutil
Requires:       python-catwalk
Requires:       python-babel

%if 0%{?fedora} <= 6
Requires:       python-sqlite2
BuildRequires:  python-sqlite2
BuildRequires:  python-hashlib
Requires:       python-hashlib
%endif

%if 0%{?fedora} > 10
Requires:       python-sqlalchemy
Requires:       python-migrate
BuildRequires:  python-migrate
%else
BuildRequires:  python-sqlalchemy0.5
BuildRequires:  python-migrate0.5
Requires:       python-sqlalchemy0.5
Requires:       python-migrate0.5
%endif

%description
This package contains various paster commands and templates used for
TurboGears2 development.


%prep
%setup -q -n tg.devtools-%{version}%{betaver}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# remove wrong script interpreter
sed -i '1s/^#!python//' %{buildroot}%{python_sitelib}/devtools/templates/turbogears/ez_setup/__init__.py


#%check
#PYTHONPATH=$(pwd) %{__python} devtools/tests/test_pastetemplate.py


%clean
rm -rf %{buildroot}


%files
%defattr(0644,root,root,0755)
%doc
%{python_sitelib}/devtools/
%{python_sitelib}/tg.devtools-%{version}%{betaver}-py%{pyver}.egg-info/



%changelog
* Wed May 05 2010 Luke Macken <lmacken@redhat.com> - 2.1-0.1.b2
- Update to 2.1b2

* Tue Nov 10 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-5
- Require python-babel, needed to run the default quickstart

* Wed Oct 21 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-4
- Remove sa05 patch, since SQLAlchemy 0.5 is now in Fedora 11+

* Thu Oct 01 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-3
- Apply patch from #468804 to fix version requirements

* Tue Sep 01 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-2
- Update SQLAlchemy0.5 patch
- Include both version of SQLAlchemy to get the test suite to run

* Wed Aug 12 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-1
- 2.0.2

* Fri Jun 26 2009 Luke Macken <lmacken@redhat.com> - 2.0-9
- Update the sa05 patch to work with sqlalchemy-migrate 0.4 and 0.5

* Tue Jun 23 2009 Luke Macken <lmacken@redhat.com> - 2.0-8
- Hack around a setuptools bug to get the test suite to pass
  with both SQLAlchemy 0.4 and 0.5 installed in the same site-packages

* Wed Jun 17 2009 Luke Macken <lmacken@redhat.com> - 2.0-7
- Add a patch to get things working with SQLAlchemy 0.5

* Wed Jun 03 2009 Luke Macken <lmacken@redhat.com> - 2.0-6
- Add a patch to "fix" the test_pastetemplate.TestQuickStart.test_admin unit test
- Enable the test suite.

* Wed Jun 03 2009 Luke Macken <lmacken@redhat.com> - 2.0-5
- Add python-catwalk to the BuildRequires
- Require python-hashlib on FC6 and below.

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 2.0-4
- Conditionally require python-sqlite2

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 2.0-3
- Require python-catwalk

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 2.0-2
- Require python-repoze-who-testutil

* Sun May 31 2009 Luke Macken <lmacken@redhat.com> - 2.0-1
- Update to 2.0 final
- Sync our requirements
- Remove the setuptools wsgiref patch
- Disable unit tests until Catwalk is packaged

* Tue Oct 28 2008 Luke Macken <lmacken@redhat.com> - 1.9.7-0.2.a4
- Swap out tg.ext.repoze.who for tgext.authorization

* Sun Oct 26 2008 Luke Macken <lmacken@redhat.com> - 1.9.7-0.1.a4
- Initial package
